package com.sun.org.apache.bcel.internal.classfile;

import java.io.IOException;
import java.io.DataInput;

public final class ConstantDynamic extends ConstantCP
{
    public ConstantDynamic(ConstantDynamic c) {
        this(c.getBootstrapMethodAttrIndex(), c.getNameAndTypeIndex());
    }
    
    ConstantDynamic(DataInput file) throws IOException {
        this((int)file.readShort(), (int)file.readShort());
    }
    
    public ConstantDynamic(int bootstrap_method_attr_index, int name_and_type_index) {
        super((byte)17, bootstrap_method_attr_index, name_and_type_index);
    }
    
    @Override
    public void accept(Visitor v) {
        v.visitConstantDynamic(this);
    }
    
    public final int getBootstrapMethodAttrIndex() {
        return super.getClassIndex();
    }
    
    @Override
    public final String toString() {
        return super.toString().replace("class_index", "bootstrap_method_attr_index");
    }
}
